com.holonplatform.vaadin.components

## Interface Input.InputFieldPropertyRenderer<T,F extends com.vaadin.data.HasValue<T> & com.vaadin.ui.Component>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    Input.InputPropertyRenderer<T>, com.holonplatform.core.property.PropertyRenderer<Input<T>,T>
  Enclosing interface:
    Input<V>

      public static interface Input.InputFieldPropertyRenderer<T,F extends com.vaadin.data.HasValue<T> & com.vaadin.ui.Component>
      extends Input.InputPropertyRenderer<T>

  A convenience interface to render a `Property` as a `Input` using a `HasValue` component.

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.property.PropertyRenderer

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Input<T>` | `render(com.holonplatform.core.property.Property<? extends T> property)`
    `F` | `renderField(com.holonplatform.core.property.Property<? extends T> property)` Render given `property` as consistent value type `HasValue` component to handle the property value.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.Input.InputPropertyRenderer

      `getRenderType`

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyRenderer

      `create`

- - ### Method Detail

    - #### renderField

          F renderField(com.holonplatform.core.property.Property<? extends T> property)

      Render given `property` as consistent value type `HasValue` component to handle the property value.
      Parameters:
        `property` - Property to render
      Returns:
        property `HasValue` component

    - #### render

          default Input<T> render(com.holonplatform.core.property.Property<? extends T> property)

      Specified by:
        `render` in interface `com.holonplatform.core.property.PropertyRenderer<Input<T>,T>`

Copyright © 2019 The Holon Platform. All rights reserved.